<!--The content below is only a placeholder and can be replaced.-->
<!DOCTYPE html>
<html lang="en">

<head>
  <meta charset="utf-8">
  <meta name="viewport" content="width=device-width, initial-scale=1">
  <link rel="stylesheet" href="https://maxcdn.bootstrapcdn.com/bootstrap/4.1.3/css/bootstrap.min.css">
  <script src="https://ajax.googleapis.com/ajax/libs/jquery/3.3.1/jquery.min.js"></script>
  <script src="https://cdnjs.cloudflare.com/ajax/libs/popper.js/1.14.3/umd/popper.min.js"></script>
  <script src="https://maxcdn.bootstrapcdn.com/bootstrap/4.1.3/js/bootstrap.min.js"></script>
</head>

<body>

  <div class="container">
    <h2>Nhóm 2:</h2>
    <ul>
      <li>Lê Bảo Thịnh</li>
      <li>Nguyễn Công Thành</li>
      <li>Hoàng Minh Tú</li>
    </ul>
    <h3>Demo Protractor</h3>
    <button class="btn btn-primary" id="addstudent" (click)="OpenAddStudent()" name="addstudentbutton">Thêm Học Sinh</button>
    <table class="table table-striped">
      <thead>
        <tr>
          <th>Mã Học Sinh</th>
          <th>Họ Tên</th>
          <th>Giới Tính</th>
          <th>Ngày Sinh</th>
          <th>Địa Chỉ</th>
          <th>Lớp</th>
          <th>Sửa</th>
          <th>Xóa</th>
        </tr>
      </thead>
      <tbody>
        <tr *ngFor="let student of arrStudents">
          <td>{{student.IDStudent}}</td>
          <td>{{student.studentName}}</td>
          <td *ngIf="student.sex=='true'">Nam</td>
          <td *ngIf="student.sex=='false'">Nữ</td>
          <td>{{student.dateOfBirth | date}}</td>
          <td>{{student.address}}</td>
          <td>{{student.class}}</td>
          <td><button class="btn btn-warning" (click)="OpenUpdateStudent(student.IDStudent)">Sửa</button></td>
          <td><button class="btn btn-danger" (click)="DeleteStudent(student.IDStudent)">Xóa</button></td>
        </tr>
      </tbody>
    </table>

    <form class="form-horizontal" *ngIf="hidden==true">
      <div class="form-group">
        <label class="control-label col-sm-2" for="IDStudent">Mã Sinh Viên:</label>
        <div class="col-sm-10">
          <input readonly [(ngModel)]="studentEx.IDStudent" type="number" class="form-control" name="IDStudent"
            [ngModelOptions]="{standalone: true}">
        </div>
      </div>
      <div class="form-group">
        <label class="control-label col-sm-2" for="studentName">Tên Sinh Viên:</label>
        <div class="col-sm-10">
          <input [(ngModel)]="studentEx.studentName" class="form-control .studentName" name="studentName" id="studentName"
            [ngModelOptions]="{standalone: true}">
        </div>
      </div>
      <div class="form-group">
        <label class="control-label col-sm-2" for="sex">Giới Tính:</label>
        <div class="col-sm-10">
          <select [(ngModel)]="studentEx.sex" name="sex" class="form-control" [ngModelOptions]="{standalone: true}">
            <option value="true">Nam</option>
            <option value="false">Nữ</option>
          </select>
        </div>
      </div>
      <div class="form-group">
        <label class="control-label col-sm-2" for="dateOfBirth">Ngày Sinh:</label>
        <div class="col-sm-10">
          <input [(ngModel)]="studentEx.dateOfBirth" [ngModelOptions]="{standalone: true}" 
            type="date" class="form-control" name="dateOfBirth">
        </div>
      </div>
      <div class="form-group">
        <label class="control-label col-sm-2" for="address">Địa Chỉ:</label>
        <div class="col-sm-10">
          <input [(ngModel)]="studentEx.address" class="form-control" name="address" [ngModelOptions]="{standalone: true}">
        </div>
      </div>
      <div class="form-group">
        <label class="control-label col-sm-2" for="class">Lớp:</label>
        <div class="col-sm-10">
          <select [(ngModel)]="studentEx.class" name="classes" class="form-control" [ngModelOptions]="{standalone: true}">
            <option value="D15PM01">D15PM01</option>
            <option value="D15PM02">D15PM02</option>
          </select>
        </div>
      </div>
      <div *ngIf="errors!=''" name="errors" class="alert alert-danger">
        {{errors}}
      </div>
      <div class="form-group">
        <div class="col-sm-offset-2 col-sm-10">
          <button type="submit" *ngIf="status==true" name="btnadd" class="btn btn-success btnAdd" (click)="AddStudent(this.studentEx)">Thêm</button>
          <button type="submit" *ngIf="status==false" name="btnupdate" class="btn btn-success btnUpdate" (click)="UpdateStudent(this.studentEx)">Lưu</button>
        </div>
      </div>
    </form>
  </div>

</body>

</html>